Skip to content

List Buckets

GET
/api/v1/storage/buckets/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

Successful response

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
created_by
integer
status
string
created_at
string format: date-time
updated_at
string format: date-time
bucket_size
string
versioning_status
string
Allowed values: Off Enabled Suspended
lifecycle_configuration_status
string
is_public_access_enabled
boolean
is_cdn_attached
boolean
is_lock_enabled
boolean
is_encryption_enabled
boolean
errors
object
message
string
total_count
integer
total_page_number
integer

Example

{
"code": 200,
"data": [
{
"id": 1234,
"name": "testbucket",
"created_by": 1234,
"status": "NEW",
"created_at": "2024-01-17T13:43:47.494582Z",
"updated_at": "2024-01-17T13:43:47.494691Z",
"bucket_size": "0 bytes",
"versioning_status": "Off",
"lifecycle_configuration_status": "Configured",
"is_public_access_enabled": false,
"is_cdn_attached": false,
"is_lock_enabled": false,
"is_encryption_enabled": false
}
],
"errors": {},
"message": "Success",
"total_count": 3,
"total_page_number": 1
}